package com.ym.mec.biz.dal.dto;


import com.ym.mec.biz.dal.entity.CourseSchedule;
import io.swagger.annotations.ApiModelProperty;

public class HasFreeCourseTimesDto {

    @ApiModelProperty(value = "乐团编号")
    private String musicGroupId;

    @ApiModelProperty(value = "乐团名称")
    private String musicGroupName;

    @ApiModelProperty(value = "学员编号")
    private Integer userId;

    @ApiModelProperty(value = "学员姓名")
    private String username;

    @ApiModelProperty(value = "总时长")
    private Integer totalCourseMinutes;

    @ApiModelProperty(value = "消耗时长")
    private Integer usedCourseMinutes;

    @ApiModelProperty(value = "未消耗时长")
    private Integer freeCourseMinutes;

    @ApiModelProperty(value = "课程类型")
    private CourseSchedule.CourseScheduleType courseType;

    private String organName;

    private Integer organId;

    public String getOrganName() {
        return organName;
    }

    public void setOrganName(String organName) {
        this.organName = organName;
    }

    public Integer getOrganId() {
        return organId;
    }

    public void setOrganId(Integer organId) {
        this.organId = organId;
    }

    public String getMusicGroupId() {
        return musicGroupId;
    }

    public void setMusicGroupId(String musicGroupId) {
        this.musicGroupId = musicGroupId;
    }

    public String getMusicGroupName() {
        return musicGroupName;
    }

    public void setMusicGroupName(String musicGroupName) {
        this.musicGroupName = musicGroupName;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public Integer getTotalCourseMinutes() {
        return totalCourseMinutes;
    }

    public void setTotalCourseMinutes(Integer totalCourseMinutes) {
        this.totalCourseMinutes = totalCourseMinutes;
    }

    public Integer getUsedCourseMinutes() {
        return usedCourseMinutes;
    }

    public void setUsedCourseMinutes(Integer usedCourseMinutes) {
        this.usedCourseMinutes = usedCourseMinutes;
    }

    public Integer getFreeCourseMinutes() {
        return freeCourseMinutes;
    }

    public void setFreeCourseMinutes(Integer freeCourseMinutes) {
        this.freeCourseMinutes = freeCourseMinutes;
    }

    public CourseSchedule.CourseScheduleType getCourseType() {
        return courseType;
    }

    public void setCourseType(CourseSchedule.CourseScheduleType courseType) {
        this.courseType = courseType;
    }
}
